| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Macros | Functions | Variables
dirdlg.h File Reference

## Classes

class | wxDirDialog
| This class represents the directory chooser dialog. More...

## Macros

#define | wxDD_CHANGE_DIR 0x0100
#define | wxDD_DIR_MUST_EXIST 0x0200
#define | wxDD_NEW_DIR_BUTTON 0
#define | wxDD_DEFAULT_STYLE (wxDEFAULT_DIALOG_STYLE|wxRESIZE_BORDER)

## Functions

wxString | wxDirSelector (const wxString &message=wxDirSelectorPromptStr, const wxString &default_path=wxEmptyString, long style=0, const wxPoint &pos=wxDefaultPosition, wxWindow *parent=NULL)
| Pops up a directory selector dialog. More...

## Variables

const char | wxDirDialogDefaultFolderStr [] = "/"
| Initial folder for generic directory dialog. More...
const char | wxDirSelectorPromptStr [] = "Select a directory"
| Default message for directory selector dialog. More...
const char | wxDirDialogNameStr [] = "wxDirCtrl"
| Default name for directory selector dialog. More...

## Macro Definition Documentation

#define wxDD_CHANGE_DIR 0x0100

#define wxDD_DEFAULT_STYLE (wxDEFAULT_DIALOG_STYLE|wxRESIZE_BORDER)

#define wxDD_DIR_MUST_EXIST 0x0200

#define wxDD_NEW_DIR_BUTTON 0

## Variable Documentation

const char wxDirDialogDefaultFolderStr[] = "/"

Initial folder for generic directory dialog.

const char wxDirDialogNameStr[] = "wxDirCtrl"

Default name for directory selector dialog.

const char wxDirSelectorPromptStr[] = "Select a directory"

Default message for directory selector dialog.